// Real Client Demo vc6Dlg.h : header file
//

#if !defined(AFX_REALCLIENTDEMOVC6DLG_H__52A3ACDB_BA5F_4178_A102_3D2A2B4E4D45__INCLUDED_)
#define AFX_REALCLIENTDEMOVC6DLG_H__52A3ACDB_BA5F_4178_A102_3D2A2B4E4D45__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

/////////////////////////////////////////////////////////////////////////////
// CRealClientDemoDlg dialog

class CRealClientDemoDlg : public CDialog
{
// Construction
public:
	LONG m_hHandle;

	CRealClientDemoDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	//{{AFX_DATA(CRealClientDemoDlg)
	enum { IDD = IDD_REALCLIENTDEMOVC6_DIALOG };
	CStatic	m_video;
	CString	m_sername;
	CString	m_password;
	CString	m_username;
	CString	m_url;
	int		m_port;
	int		m_channel;
	int		m_trantype;
	CString	m_StaticSensor;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CRealClientDemoDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	//{{AFX_MSG(CRealClientDemoDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnBtnPlay();
	afx_msg void OnBtnStop();
	afx_msg LRESULT OnMyCommand(WPARAM wParam, LPARAM lParam);
	afx_msg void OnDestroy();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};
//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_REALCLIENTDEMOVC6DLG_H__52A3ACDB_BA5F_4178_A102_3D2A2B4E4D45__INCLUDED_)
